All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
PODBC::Field::Bind Class Reference

SQL compliant Bound DataTypes. More...

`#include <podbc.h>`

## Public Attributes

PString | sbin
PString | sbinlong
| Strings & Binary Data. More...
short int | ssint
| Long Data. More...
long int | slint
| Short Integer SQLSMALLINT. More...
double | sdoub
| Integer SQLINTEGER. More...
unsigned char | sbit
| Double SQLDOUBLE. More...
unsigned char * | suchar
| Bit SQLCHAR. More...
PInt64 | sbint
| Unsigned char SQLCHAR *. More...
DATE_STRUCT | date
| Bit Integer SQLBIGINT. More...
TIME_STRUCT | time
| Date Structure. More...
TIMESTAMP_STRUCT | timestamp
| Time Structure. More...
SQLGUID | guid
| TimeStamp Structure. More...
SQLLEN | dataLen
| GUID Structure (not Fully Supported) More...

## Detailed Description

SQL compliant Bound DataTypes.

The appropriate Field is bound to the SQL Driver and alters when a new record is fetched.

## Member Data Documentation

SQLLEN PODBC::Field::Bind::dataLen

GUID Structure (not Fully Supported)

DATE_STRUCT PODBC::Field::Bind::date

Bit Integer SQLBIGINT.

SQLGUID PODBC::Field::Bind::guid

TimeStamp Structure.

PString PODBC::Field::Bind::sbin

PString PODBC::Field::Bind::sbinlong

Strings & Binary Data.

PInt64 PODBC::Field::Bind::sbint

Unsigned char SQLCHAR *.

unsigned char PODBC::Field::Bind::sbit

Double SQLDOUBLE.

double PODBC::Field::Bind::sdoub

Integer SQLINTEGER.

long int PODBC::Field::Bind::slint

Short Integer SQLSMALLINT.

short int PODBC::Field::Bind::ssint

Long Data.

unsigned char* PODBC::Field::Bind::suchar

Bit SQLCHAR.

TIME_STRUCT PODBC::Field::Bind::time

Date Structure.

TIMESTAMP_STRUCT PODBC::Field::Bind::timestamp

Time Structure.

The documentation for this class was generated from the following file:

- podbc.h